apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: linkerd-crds
  namespace: flux-system
spec:
  releaseName: linkerd-crds
  chart:
    spec:
      chart: linkerd-crds
      reconcileStrategy: ChartVersion
      sourceRef:
        kind: HelmRepository
        name: linkerd
      version: 1.8.0
  interval: 10m0s
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: linkerd-control-plane
  namespace: flux-system
spec:
  dependsOn:
    - name: linkerd-crds
  targetNamespace: linkerd
  releaseName: linkerd-control-plane
  chart:
    spec:
      chart: linkerd-control-plane
      reconcileStrategy: ChartVersion
      sourceRef:
        kind: HelmRepository
        name: linkerd
      version: 1.16.11
  interval: 10m0s
  valuesFrom:
    - kind: ConfigMap
      name: linkerd-control-plane-values
      valuesKey: values.yaml
